// +build ignore

package main

import (
	"fmt"
	"io/ioutil"
	"os"
)

func main() {
	f, err := os.Create("templates.go")
	if err != nil {
		panic(err)
	}
	defer f.Close()

	fmt.Fprintln(f, "package http")
	fmt.Fprintln(f)
	fmt.Fprintln(f, "// Code generated by go generate; DO NOT EDIT.")

	gen := []struct {
		Var      string
		Filename string
	}{
		{Var: "pageHTML", Filename: "page.html"},
		{Var: "pageCSS", Filename: "page.css"},
		{Var: "pageJS", Filename: "page.js"},
	}

	for _, g := range gen {
		b, err := ioutil.ReadFile(g.Filename)
		if err != nil {
			panic(err)
		}

		fmt.Fprintln(f)
		fmt.Fprintln(f)
		fmt.Fprintf(f, "const %s = `%s`", g.Var, b)
	}
}
